<?php

namespace Ensi\PimClient;

class PimClientProvider
{
    /** @var string[] */
    public static $apis = [
        '\Ensi\PimClient\Api\ProductFlagsApi',
        '\Ensi\PimClient\Api\ProductGroupsApi',
        '\Ensi\PimClient\Api\TempFilesApi',
        '\Ensi\PimClient\Api\ImportsApi',
        '\Ensi\PimClient\Api\ProductStatusesApi',
        '\Ensi\PimClient\Api\CategoriesApi',
        '\Ensi\PimClient\Api\ProductEventsApi',
        '\Ensi\PimClient\Api\ProductsApi',
        '\Ensi\PimClient\Api\CommonApi',
        '\Ensi\PimClient\Api\PropertiesApi',
        '\Ensi\PimClient\Api\ProductFieldsApi',
        '\Ensi\PimClient\Api\BrandsApi',
    ];

    /** @var string[] */
    public static $dtos = [
        '\Ensi\PimClient\Dto\DirectoryValueExtendedProperties',
        '\Ensi\PimClient\Dto\ProductAttributeValueReadonlyProperties',
        '\Ensi\PimClient\Dto\ProductImportTypeEnum',
        '\Ensi\PimClient\Dto\EditProductImage',
        '\Ensi\PimClient\Dto\SearchProductFlagsFilter',
        '\Ensi\PimClient\Dto\ProductAttributesResponse',
        '\Ensi\PimClient\Dto\SearchPropertiesRequest',
        '\Ensi\PimClient\Dto\PatchProductImagesRequest',
        '\Ensi\PimClient\Dto\CreatePropertyRequest',
        '\Ensi\PimClient\Dto\DirectoryValueResponse',
        '\Ensi\PimClient\Dto\SearchDirectoryValuesRequest',
        '\Ensi\PimClient\Dto\CategoriesTreeResponse',
        '\Ensi\PimClient\Dto\ProductGroupProduct',
        '\Ensi\PimClient\Dto\StatusSettingsResponse',
        '\Ensi\PimClient\Dto\ProductGroup',
        '\Ensi\PimClient\Dto\ProductFlagReadonlyProperties',
        '\Ensi\PimClient\Dto\PatchCategoryRequest',
        '\Ensi\PimClient\Dto\SearchProductsRequest',
        '\Ensi\PimClient\Dto\MassPatchProductsByQueryRequest',
        '\Ensi\PimClient\Dto\PropertyReadonlyProperties',
        '\Ensi\PimClient\Dto\SearchProductFlagsRequest',
        '\Ensi\PimClient\Dto\ProductImportStatusEnum',
        '\Ensi\PimClient\Dto\DirectoryValueReadonlyProperties',
        '\Ensi\PimClient\Dto\SearchCategoriesResponse',
        '\Ensi\PimClient\Dto\CreateProductImportRequest',
        '\Ensi\PimClient\Dto\BrandFillableProperties',
        '\Ensi\PimClient\Dto\SearchProductFlagsResponse',
        '\Ensi\PimClient\Dto\StatusesResponse',
        '\Ensi\PimClient\Dto\ProductMassPatchableProperties',
        '\Ensi\PimClient\Dto\SearchProductFieldsFilter',
        '\Ensi\PimClient\Dto\CategoriesTreeFilter',
        '\Ensi\PimClient\Dto\SearchFailedJobsResponse',
        '\Ensi\PimClient\Dto\ProductAttributeValue',
        '\Ensi\PimClient\Dto\ProductImportResponse',
        '\Ensi\PimClient\Dto\ProductAttributeValueFillableProperties',
        '\Ensi\PimClient\Dto\ProductField',
        '\Ensi\PimClient\Dto\SearchBrandsResponse',
        '\Ensi\PimClient\Dto\ProductFieldResponse',
        '\Ensi\PimClient\Dto\ProductImage',
        '\Ensi\PimClient\Dto\MassPatchProductsRequestAllOf',
        '\Ensi\PimClient\Dto\SearchBrandsRequest',
        '\Ensi\PimClient\Dto\SearchProductDraftsResponse',
        '\Ensi\PimClient\Dto\ErrorResponse',
        '\Ensi\PimClient\Dto\ReplaceProductRequest',
        '\Ensi\PimClient\Dto\PaginationTypeCursorEnum',
        '\Ensi\PimClient\Dto\ErrorResponse2',
        '\Ensi\PimClient\Dto\ProductReadonlyProperties',
        '\Ensi\PimClient\Dto\CategoryReadonlyProperties',
        '\Ensi\PimClient\Dto\CategoryProductLink',
        '\Ensi\PimClient\Dto\SearchCategoriesFilter',
        '\Ensi\PimClient\Dto\ReplaceDirectoryValueRequest',
        '\Ensi\PimClient\Dto\ProductResponse',
        '\Ensi\PimClient\Dto\SearchProductEventsResponse',
        '\Ensi\PimClient\Dto\CreateCategoryRequest',
        '\Ensi\PimClient\Dto\RequestBodyCursorPagination',
        '\Ensi\PimClient\Dto\SearchBulkOperationsRequest',
        '\Ensi\PimClient\Dto\BulkOperationActionTypeEnum',
        '\Ensi\PimClient\Dto\PatchPropertyRequest',
        '\Ensi\PimClient\Dto\PublishedProductProperties',
        '\Ensi\PimClient\Dto\ProductFlag',
        '\Ensi\PimClient\Dto\ProductAttributeValueEditProperties',
        '\Ensi\PimClient\Dto\MassPatchProductsByQueryRequestAllOf',
        '\Ensi\PimClient\Dto\CategoriesTreeItem',
        '\Ensi\PimClient\Dto\StatusSettingFillableProperties',
        '\Ensi\PimClient\Dto\ProductFieldFillableProperties',
        '\Ensi\PimClient\Dto\BulkOperation',
        '\Ensi\PimClient\Dto\CreateBrandRequest',
        '\Ensi\PimClient\Dto\ProductImagesResponse',
        '\Ensi\PimClient\Dto\PreloadFile',
        '\Ensi\PimClient\Dto\StatusSetting',
        '\Ensi\PimClient\Dto\EmptyDataResponse',
        '\Ensi\PimClient\Dto\ProductDraft',
        '\Ensi\PimClient\Dto\PropertyIncludes',
        '\Ensi\PimClient\Dto\DirectoryValueModifyProperties',
        '\Ensi\PimClient\Dto\Category',
        '\Ensi\PimClient\Dto\StatusSettingIncludes',
        '\Ensi\PimClient\Dto\ActualCategoryProperty',
        '\Ensi\PimClient\Dto\ReplaceProductAttributesRequest',
        '\Ensi\PimClient\Dto\ProductImageUploadRequest',
        '\Ensi\PimClient\Dto\DirectoryValueFillableProperties',
        '\Ensi\PimClient\Dto\SearchActualCategoryPropertiesResponse',
        '\Ensi\PimClient\Dto\Error',
        '\Ensi\PimClient\Dto\BrandResponse',
        '\Ensi\PimClient\Dto\PaginationTypeEnum',
        '\Ensi\PimClient\Dto\ProductUniqueProperties',
        '\Ensi\PimClient\Dto\CategoryBoundProperty',
        '\Ensi\PimClient\Dto\ProductDraftResponse',
        '\Ensi\PimClient\Dto\SearchDirectoryValuesResponse',
        '\Ensi\PimClient\Dto\ActualCategoryPropertyReadonlyProperties',
        '\Ensi\PimClient\Dto\SearchProductGroupsResponse',
        '\Ensi\PimClient\Dto\MassOperationResultData',
        '\Ensi\PimClient\Dto\File',
        '\Ensi\PimClient\Dto\CreateDirectoryValuesRequest',
        '\Ensi\PimClient\Dto\ProductEventEnum',
        '\Ensi\PimClient\Dto\BindCategoryPropertiesRequestProperties',
        '\Ensi\PimClient\Dto\ProductFlagEnum',
        '\Ensi\PimClient\Dto\MassOperationResult',
        '\Ensi\PimClient\Dto\BrandImageFillableProperties',
        '\Ensi\PimClient\Dto\ReplaceProductImagesRequest',
        '\Ensi\PimClient\Dto\SearchProductImportsRequest',
        '\Ensi\PimClient\Dto\ResponseBodyOffsetPagination',
        '\Ensi\PimClient\Dto\PaginationTypeOffsetEnum',
        '\Ensi\PimClient\Dto\ProductImageFillableProperties',
        '\Ensi\PimClient\Dto\AttributeDirectoryValue',
        '\Ensi\PimClient\Dto\SearchPropertiesResponse',
        '\Ensi\PimClient\Dto\ResponseBodyPagination',
        '\Ensi\PimClient\Dto\ProductGroupReadOnlyProperties',
        '\Ensi\PimClient\Dto\MassDirectoryValueResponse',
        '\Ensi\PimClient\Dto\ActualCategoryPropertyIncludes',
        '\Ensi\PimClient\Dto\ProductSystemStatusEnum',
        '\Ensi\PimClient\Dto\CategoryIncludes',
        '\Ensi\PimClient\Dto\ProductStatusTypeEnum',
        '\Ensi\PimClient\Dto\PatchStatusSettingRequest',
        '\Ensi\PimClient\Dto\BulkOperationActionEnum',
        '\Ensi\PimClient\Dto\SearchProductGroupsRequest',
        '\Ensi\PimClient\Dto\StatusSettingResponse',
        '\Ensi\PimClient\Dto\SearchProductFieldsResponseMeta',
        '\Ensi\PimClient\Dto\ProductGroupFillableProperties',
        '\Ensi\PimClient\Dto\CreateStatusSettingRequest',
        '\Ensi\PimClient\Dto\BulkOperationIncludes',
        '\Ensi\PimClient\Dto\StatusSettingProperties',
        '\Ensi\PimClient\Dto\RequestBodyMassOperation',
        '\Ensi\PimClient\Dto\FailedJob',
        '\Ensi\PimClient\Dto\EditProductAttributeValue',
        '\Ensi\PimClient\Dto\DirectoryValue',
        '\Ensi\PimClient\Dto\PreloadFile2',
        '\Ensi\PimClient\Dto\SearchProductFieldsResponse',
        '\Ensi\PimClient\Dto\ProductImportReadonlyProperties',
        '\Ensi\PimClient\Dto\ProductImageEditProperties',
        '\Ensi\PimClient\Dto\ProductGroupsBindResponse',
        '\Ensi\PimClient\Dto\PatchProductRequest',
        '\Ensi\PimClient\Dto\BulkOperationStatusEnum',
        '\Ensi\PimClient\Dto\SearchActualCategoryPropertiesRequest',
        '\Ensi\PimClient\Dto\ProductImageDeleteRequest',
        '\Ensi\PimClient\Dto\PropertyTypeEnum',
        '\Ensi\PimClient\Dto\SearchProductsResponse',
        '\Ensi\PimClient\Dto\FailedJobProperties',
        '\Ensi\PimClient\Dto\ProductStatusProperties',
        '\Ensi\PimClient\Dto\MassOperationResultDataErrors',
        '\Ensi\PimClient\Dto\RequestBodyOffsetPagination',
        '\Ensi\PimClient\Dto\SearchCategoriesRequest',
        '\Ensi\PimClient\Dto\ProductImportWarningIncludes',
        '\Ensi\PimClient\Dto\ResponseBodyCursorPagination',
        '\Ensi\PimClient\Dto\ProductFillableProperties',
        '\Ensi\PimClient\Dto\ProductImportIncludes',
        '\Ensi\PimClient\Dto\SearchProductDraftsRequest',
        '\Ensi\PimClient\Dto\ReplaceCategoryRequest',
        '\Ensi\PimClient\Dto\Status',
        '\Ensi\PimClient\Dto\ProductFlagFillableProperties',
        '\Ensi\PimClient\Dto\BulkOperationEntityEnum',
        '\Ensi\PimClient\Dto\ReplaceProductFlagRequest',
        '\Ensi\PimClient\Dto\ProductFlagResponse',
        '\Ensi\PimClient\Dto\BindProductGroupProductsRequest',
        '\Ensi\PimClient\Dto\ProductGroupResponse',
        '\Ensi\PimClient\Dto\PatchBrandRequest',
        '\Ensi\PimClient\Dto\SearchBulkOperationsResponse',
        '\Ensi\PimClient\Dto\ReplaceProductGroupRequest',
        '\Ensi\PimClient\Dto\CreateDirectoryValueRequest',
        '\Ensi\PimClient\Dto\Property',
        '\Ensi\PimClient\Dto\ProductImageCreateProperties',
        '\Ensi\PimClient\Dto\ProductEvent',
        '\Ensi\PimClient\Dto\SearchProductEventsRequest',
        '\Ensi\PimClient\Dto\EventConditions',
        '\Ensi\PimClient\Dto\BindCategoryPropertiesRequest',
        '\Ensi\PimClient\Dto\SetPreviousStatusRequest',
        '\Ensi\PimClient\Dto\StatusSettingReadonlyProperties',
        '\Ensi\PimClient\Dto\SearchStatusSettingsRequest',
        '\Ensi\PimClient\Dto\SearchProductImportWarningsResponse',
        '\Ensi\PimClient\Dto\ProductImageReadonlyProperties',
        '\Ensi\PimClient\Dto\ReplacePropertyRequest',
        '\Ensi\PimClient\Dto\SearchProductImportWarningsRequest',
        '\Ensi\PimClient\Dto\DeleteProductAttributesRequest',
        '\Ensi\PimClient\Dto\SearchFailedJobsRequest',
        '\Ensi\PimClient\Dto\ProductImportFillableProperties',
        '\Ensi\PimClient\Dto\RequestBodyPagination',
        '\Ensi\PimClient\Dto\ProductTypeEnum',
        '\Ensi\PimClient\Dto\ProductImageResponse',
        '\Ensi\PimClient\Dto\ProductGroupIncludes',
        '\Ensi\PimClient\Dto\SearchTempFilesResponse',
        '\Ensi\PimClient\Dto\ProductFieldReadonlyProperties',
        '\Ensi\PimClient\Dto\SearchDirectoryValuesFilter',
        '\Ensi\PimClient\Dto\CategoryResponse',
        '\Ensi\PimClient\Dto\CreateProductGroupRequest',
        '\Ensi\PimClient\Dto\ProductTariffingVolumeEnum',
        '\Ensi\PimClient\Dto\ProductsCommonAttributesRequest',
        '\Ensi\PimClient\Dto\MultipartFileUploadRequest',
        '\Ensi\PimClient\Dto\CategoriesTreeRequest',
        '\Ensi\PimClient\Dto\TempFile',
        '\Ensi\PimClient\Dto\ProductImportWarning',
        '\Ensi\PimClient\Dto\SearchTempFilesRequest',
        '\Ensi\PimClient\Dto\GetNextStatusRequest',
        '\Ensi\PimClient\Dto\ProductIncludes',
        '\Ensi\PimClient\Dto\BulkOperationProperties',
        '\Ensi\PimClient\Dto\Brand',
        '\Ensi\PimClient\Dto\CategoryFillableProperties',
        '\Ensi\PimClient\Dto\ReplaceBrandRequest',
        '\Ensi\PimClient\Dto\PatchProductGroupRequest',
        '\Ensi\PimClient\Dto\ModelInterface',
        '\Ensi\PimClient\Dto\ActualCategoryPropertyFillableProperties',
        '\Ensi\PimClient\Dto\PatchProductAttributesRequest',
        '\Ensi\PimClient\Dto\ProductUomEnum',
        '\Ensi\PimClient\Dto\BindProductGroupProductsRequestProducts',
        '\Ensi\PimClient\Dto\SearchProductImportsResponse',
        '\Ensi\PimClient\Dto\ProductImport',
        '\Ensi\PimClient\Dto\FileNullable',
        '\Ensi\PimClient\Dto\MetricsCategoryEnum',
        '\Ensi\PimClient\Dto\CreateProductRequest',
        '\Ensi\PimClient\Dto\SearchProductFieldsRequest',
        '\Ensi\PimClient\Dto\ProductImportWarningReadonlyProperties',
        '\Ensi\PimClient\Dto\BulkOperationError',
        '\Ensi\PimClient\Dto\PreloadFileData',
        '\Ensi\PimClient\Dto\EventOperationEnum',
        '\Ensi\PimClient\Dto\BrandReadonlyProperties',
        '\Ensi\PimClient\Dto\PropertyFillableProperties',
        '\Ensi\PimClient\Dto\ProductsCommonAttributesResponse',
        '\Ensi\PimClient\Dto\PatchDirectoryValueRequest',
        '\Ensi\PimClient\Dto\PatchProductFieldRequest',
        '\Ensi\PimClient\Dto\MassPatchProductsRequest',
        '\Ensi\PimClient\Dto\PropertyResponse',
        '\Ensi\PimClient\Dto\Product',
        '\Ensi\PimClient\Dto\ProductGroupsBindResult',
        '\Ensi\PimClient\Dto\FieldSettingsMaskEnum',
    ];

    /** @var string */
    public static $configuration = '\Ensi\PimClient\Configuration';
}
